Failed building wheel for enigma-catalyst


#1

Hi everyone,

First of all I want to thank you for this incredible platform. I am excited to start playing with it. However I am troubles installing the enigma environment using Conda.

I have installed Microsof Visual Studio C++14 build tools (http://landinghub.visualstudio.com/visual-cpp-build-tools) and MiniConda x64 for Python3.6.

Everything goes fine until here. The error says something about lack of permissions (at the end). I have tried to search for it and no success. I am running miniconda with admin rights too:

Building wheels for collected packages: enigma-catalyst, cyordereddict, bottlene
ck, bcolz, sqlalchemy, alembic, lru-dict, cytoolz
Running setup.py bdist_wheel for enigma-catalyst … error
Failed building wheel for enigma-catalyst
Running setup.py clean for enigma-catalyst
Failed cleaning build dir for enigma-catalyst
Running setup.py bdist_wheel for cyordereddict … error
Failed building wheel for cyordereddict
Running setup.py clean for cyordereddict
Failed cleaning build dir for cyordereddict
Running setup.py bdist_wheel for bottleneck … error
Failed building wheel for bottleneck
Running setup.py clean for bottleneck
Running setup.py bdist_wheel for bcolz … error
Failed building wheel for bcolz
Running setup.py clean for bcolz
Running setup.py bdist_wheel for sqlalchemy … error
Failed building wheel for sqlalchemy
Running setup.py clean for sqlalchemy
Running setup.py bdist_wheel for alembic … done
Stored in directory: C:\Users\Jesus\AppData\Local\pip\Cache\wheels\29\f4\c3\96
037a3f2dcc2b8b59eff64746ea71bb5957f189c5a0877364
Running setup.py bdist_wheel for lru-dict … error
Failed building wheel for lru-dict
Running setup.py clean for lru-dict
Failed cleaning build dir for lru-dict
Running setup.py bdist_wheel for cytoolz … error
Failed building wheel for cytoolz
Running setup.py clean for cytoolz
Failed cleaning build dir for cytoolz
Successfully built alembic
Failed to build enigma-catalyst cyordereddict bottleneck bcolz sqlalchemy lru-di
ct cytoolz
Installing collected packages: Logbook, pytz, chardet, idna, urllib3, requests,
six, requests-file, python-dateutil, pandas, requests-ftp, lxml, wrapt, pandas-d
atareader, patsy, statsmodels, Cython, cyordereddict, bottleneck, contextlib2, d
ecorator, networkx, numexpr, bcolz, click, toolz, multipledispatch, MarkupSafe,
Mako, sqlalchemy, python-editor, alembic, sortedcontainers, intervaltree, lru-di
ct, empyrical, tables, idna-ssl, attrs, multidict, yarl, async-timeout, aiohttp,
pycares, aiodns, cchardet, ccxt, jmespath, docutils, botocore, s3transfer, boto
3, redo, rlp, pycryptodome, eth-hash, cytoolz, eth-utils, hexbytes, eth-rlp, eth
-keys, eth-keyfile, attrdict, eth-account, eth-abi, web3, requests-toolbelt, eni
gma-catalyst, cycler, pyparsing, matplotlib
Running setup.py install for cyordereddict … done
Running setup.py install for bottleneck … error
Complete output from command C:\Users\Jesus\Miniconda3\envs\catalyst\python.
exe -u -c “import setuptools, tokenize;file=‘C:\Users\Jesus\AppData\Loca
l\Temp\pip-build-vgb_3ab5\bottleneck\setup.py’;f=getattr(tokenize, ‘open’, o
pen)(file);code=f.read().replace(’\r\n’, ‘\n’);f.close();exec(compile(code,
file, ‘exec’))” install --record C:\Users\Jesus\AppData\Local\Temp\pip-p6kbx
854-record\install-record.txt --single-version-externally-managed --compile:
Traceback (most recent call last):
File “”, line 1, in
File “C:\Users\Jesus\AppData\Local\Temp\pip-build-vgb_3ab5\bottleneck\setu
p.py”, line 101, in
metadata[‘ext_modules’] = prepare_modules()
File “C:\Users\Jesus\AppData\Local\Temp\pip-build-vgb_3ab5\bottleneck\setu
p.py”, line 32, in prepare_modules
make_c_files()
File “C:\Users\Jesus\AppData\Local\Temp\pip-build-vgb_3ab5\bottleneck\bott
leneck\src\template.py”, line 15, in make_c_files
with open(filepath, ‘w’) as f:
PermissionError: [Errno 13] Permission denied: ‘C:\Users\Jesus\AppData\L
ocal\Temp\pip-build-vgb_3ab5\bottleneck\bottleneck\src\reduce.c’

----------------------------------------

Exception:
Traceback (most recent call last):
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\commands\i
nstall.py”, line 342, in run
prefix=options.prefix_path,
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\req\req_se
t.py”, line 784, in install
**kwargs
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\req\req_in
stall.py”, line 878, in install
spinner=spinner,
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\utils_in
it
_.py”, line 707, in call_subprocess
% (command_desc, proc.returncode, cwd))
pip.exceptions.InstallationError: Command “C:\Users\Jesus\Miniconda3\envs\cataly
st\python.exe -u -c “import setuptools, tokenize;file=‘C:\Users\Jesus\App
Data\Local\Temp\pip-build-vgb_3ab5\bottleneck\setup.py’;f=getattr(tokenize,
‘open’, open)(file);code=f.read().replace(’\r\n’, ‘\n’);f.close();exec(comp
ile(code, file, ‘exec’))” install --record C:\Users\Jesus\AppData\Local\Temp
\pip-p6kbx854-record\install-record.txt --single-version-externally-managed --co
mpile” failed with error code 1 in C:\Users\Jesus\AppData\Local\Temp\pip-build-v
gb_3ab5\bottleneck\

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\commands\i
nstall.py”, line 385, in run
requirement_set.cleanup_files()
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\req\req_se
t.py”, line 729, in cleanup_files
req.remove_temporary_source()
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\req\req_in
stall.py”, line 977, in remove_temporary_source
rmtree(self.source_dir)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip_vendor\re
trying.py”, line 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip_vendor\re
trying.py”, line 212, in call
raise attempt.get()
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip_vendor\re
trying.py”, line 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip_vendor\si
x.py”, line 686, in reraise
raise value
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip_vendor\re
trying.py”, line 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\utils_in
it
_.py”, line 102, in rmtree
onerror=rmtree_errorhandler)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\shutil.py”, line 494, in rmt
ree
return _rmtree_unsafe(path, onerror)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\shutil.py”, line 384, in _rm
tree_unsafe
_rmtree_unsafe(fullname, onerror)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\shutil.py”, line 384, in _rm
tree_unsafe
_rmtree_unsafe(fullname, onerror)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\shutil.py”, line 384, in _rm
tree_unsafe
_rmtree_unsafe(fullname, onerror)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\shutil.py”, line 389, in rm
tree_unsafe
onerror(os.unlink, fullname, sys.exc_info())
File "C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\utils_in
it
.py", line 114, in rmtree_errorhandler
func(path)
PermissionError: [WinError 5] Acceso denegado: ‘C:\Users\Jesus\AppData\Local
\Temp\pip-build-vgb_3ab5\enigma-catalyst\.eggs\Cython-0.27.3-py3.6-win-amd6
4.egg\Cython\Compiler\Code.cp36-win_amd64.pyd’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\basecomman
d.py”, line 215, in main
status = self.run(options, args)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\commands\i
nstall.py”, line 385, in run
requirement_set.cleanup_files()
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\utils\buil
d.py”, line 38, in exit
self.cleanup()
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\utils\buil
d.py”, line 42, in cleanup
rmtree(self.name)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip_vendor\re
trying.py”, line 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip_vendor\re
trying.py”, line 212, in call
raise attempt.get()
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip_vendor\re
trying.py”, line 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip_vendor\si
x.py”, line 686, in reraise
raise value
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip_vendor\re
trying.py”, line 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\utils_in
it
_.py”, line 102, in rmtree
onerror=rmtree_errorhandler)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\shutil.py”, line 494, in rmt
ree
return _rmtree_unsafe(path, onerror)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\shutil.py”, line 384, in _rm
tree_unsafe
_rmtree_unsafe(fullname, onerror)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\shutil.py”, line 384, in _rm
tree_unsafe
_rmtree_unsafe(fullname, onerror)
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\shutil.py”, line 384, in _rm
tree_unsafe
_rmtree_unsafe(fullname, onerror)
[Previous line repeated 1 more times]
File “C:\Users\Jesus\Miniconda3\envs\catalyst\lib\shutil.py”, line 389, in rm
tree_unsafe
onerror(os.unlink, fullname, sys.exc_info())
File "C:\Users\Jesus\Miniconda3\envs\catalyst\lib\site-packages\pip\utils_in
it
.py", line 114, in rmtree_errorhandler
func(path)
PermissionError: [WinError 5] Acceso denegado: ‘C:\Users\Jesus\AppData\Local
\Temp\pip-build-vgb_3ab5\bcolz\.eggs\Cython-0.27.3-py3.6-win-amd64.egg\Cyt
hon\Compiler\Code.cp36-win_amd64.pyd’

I hope someone can help me


#2

Hi bionic,

Did you run the command prompt as an administrator?

Thanks,
Lena


#3

Thanks for your response.

Yes, please see original message :slight_smile:

I have also tried this: https://stackoverflow.com/questions/31172719/pip-install-access-denied-on-windows with no success.

I also tried to split the setup of the environment into the 3 separated commands suggested in the wiki with no success:
conda create --name catalyst python=3.6 scipy zlib
activate catalyst
pip install enigma-catalyst matplotlib

Finally, I verified the permissions of my C:\Users\Jesus\AppData\Local
\Temp and added “Everyone”. Still no success.

Any idea? Otherwise I am planning to setup a vagrant machine on debian. Do you provide vagrant files in your repo?


#4

Were you using Python 3.6 (as suggested in your first message) or Python 2.7 (as suggested in the second one)?
I would advise to start a fresh new installation procedure with Python 3.


#5

Thanks for your reply Lena. It was my mistake in the post (I have just changed it to avoid confusions). I did install python 3.6. I didn’t do anything with 2.7

I have already tried reinstalling everything from scratch with no success.

Any other ideas? Otherwise I will prepare a Linux VM with vagrant

Thanks


#6

You can move to Linux.
I would probably try to follow the instructions of installing catalyst using pip before moving to another OS.


#7

@bionic if you still experience the same issues, you can follow this issue which seemed to encounter the same error.


#8

@avishai Thanks! I think that issue is different, I was not able to reach the backtesting.

I have downloaded the vagrant machine prepared by anaconda project and then run the following commands:
yum -y groups install “GNOME Desktop”
yum update
yum groupinstall “Development Tools”
yum install kernel-devel
yum install epel-release dkms
mkdir /mnt/VBOXadditions
mount /dev/cdrom /mnt/VBOXadditions/
sh /mnt/VBOXadditions/VBoxLinuxAdditions.run
conda env create -f python3.6-environment.yml

The virtual machine is CentOS 7.

Maybe you can upgrade the Vagrantfile you have in your repository. It is using python 2.7.

Thanks for your help


#9

Thanks for the update @bionic, we will update the vagrant file.

Thanks,
Lena